### Constructor

# EDataServerUI CredentialsPrompterImplOAuth2 new

since: 3.28

#### Declaration [src]

    ECredentialsPrompterImpl*
    e_credentials_prompter_impl_oauth2_new (
      void
    )

#### Description [src]

Creates a new instance of an `ECredentialsPrompterImplOAuth2`.

Available since: 3.28

#### Return value

Type: `ECredentialsPrompterImpl`

A newly created `ECredentialsPrompterImplOAuth2`, which should be freed with `g_object_unref()` when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.